Loading...
Searching...
No Matches
dolfin::BlockVector Class Reference

Block vector. More...

`#include <BlockVector.h>`

## Public Member Functions

| BlockVector (std::size_t n=0)
| Constructor.
virtual | ~BlockVector ()
| Destructor.
virtual BlockVector * | copy () const
| Return copy of tensor.
void | set_block (std::size_t i, std::shared_ptr< GenericVector > v)
| Set function.
std::shared_ptr< const GenericVector > | get_block (std::size_t i) const
| Get sub-vector (const).
std::shared_ptr< GenericVector > | get_block (std::size_t)
| Get sub-vector (non-const).
void | axpy (double a, const BlockVector &x)
| Add multiple of given vector (AXPY operation).
double | inner (const BlockVector &x) const
| Return inner product with given vector.
double | norm (std::string norm_type) const
| Return norm of vector.
double | min () const
| Return minimum value of vector.
double | max () const
| Return maximum value of vector.
const BlockVector & | operator*= (double a)
| Multiply vector by given number.
const BlockVector & | operator/= (double a)
| Divide vector by given number.
const BlockVector & | operator+= (const BlockVector &x)
| Add given vector.
const BlockVector & | operator-= (const BlockVector &x)
| Subtract given vector.
const BlockVector & | operator= (const BlockVector &x)
| Assignment operator.
const BlockVector & | operator= (double a)
| Assignment operator.
virtual bool | empty () const
| Return true if empty.
std::size_t | size () const
| Number of vectors.
std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Detailed Description

Block vector.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/BlockVector.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/BlockVector.cpp